[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TZipper.Zip

Convenience method used to create a .zip file with the given name containing the specified file(s)

## Declaration

Source position: zipper.pp line 472

`public class procedure TZipper.Zip(`
`const AZipFileName: RawByteString;`
`const aFileToBeZipped: RawByteString`
`); class procedure TZipper.Zip(`
`const AZipFileName: RawByteString;`
`aFileList: array of RawByteString`
`); class procedure TZipper.Zip(`
`const AZipFileName: RawByteString;`
`aFileList: TStrings`
`);`

## Arguments

`AZipFileName` |  | Name for the .zip file created in the method
`aFileToBeZipped` |  | Name of the file added to the .zip file

## Arguments

`AZipFileName` |  | Name for the .zip file created in the method
`aFileList` |  | Contains file names added to the .zip file

## Arguments

`AZipFileName` |  | Name for the .zip file created in the method
`aFileList` |  | Contains file names added to the .zip file

## Description

Zip is a class procedure used to create a .zip file with the name specified in AZipFileName. Overloaded variants are provided that allow one or more file names to be specified using the AFileToBeZipped or AFileList arguments.

For example:

    var
      SZip, SFile: RawByteString;

      SZip := '/usr/tmp/docbook5-catalog.zip';
      SFile := '/usr/share/xml/docbook/schema/sch/5.0/catalog.xml'

      TZipper.Zip(SZip, SFile);

## See also

TUnzipper.Unzip |  | Unzips the specified .ZIP archive file